# Get platform accounts Returns a paged list of all active RippleNet platform accounts. Endpoint: GET /config/platforms/accounts Version: 4.0.0 Security: Bearer ## Query parameters: - `page` (integer) The page number for paginated results. The value is zero-based, where 0 represents the first page. Set it to 0 to get the first page of results. - `size` (integer) Number of objects to return per page. ## Response 200 fields (application/json): - `first` (boolean) true if this is the first page. - `last` (boolean) true if this is the last page. - `number` (integer) page number - `numberOfElements` (integer) Number Of elements in this request - `size` (integer) page size - `totalElements` (integer) Total number of elements for the given request - `totalPages` (integer) Total number of pages for the given request - `sort` (array) Sort details of this page - `sort.direction` (string) Direction of the sort Example: "ASC" - `sort.property` (string) - `sort.ignoreCase` (boolean) - `sort.nullHandling` (string) Example: "NULLS_FIRST" - `sort.ascending` (boolean) Example: true - `sort.descending` (boolean) - `content` (array) - `content.platform_account_id` (string) Unique identifier for the platform account. - `content.name` (string) Name of the platform account. - `content.platform_id` (string) The unique identifier for the RippleNet platform where this account is defined. - `content.description` (string) A short description of the platform account. - `content.external_account_id` (string) Unique reference identifier for the real world account which is represented by this platform account. - `content.currency` (string) The currency of the account. Ripple recommends using ISO-4217 currency codes. - `content.balance` (number) Real world account balance of the platform account (if available) ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"